mr_bones_    15/06/01 22:05:45

  Modified:             rune-1.07-r2.ebuild ChangeLog
  Log:
  clean up app-emulation/emul-linux which has been removed
  
  (Portage version: 2.2.18/cvs/Linux x86_64, unsigned Manifest commit)

Revision  Changes    Path
1.14                 games-action/rune/rune-1.07-r2.ebuild

file : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/games-action/rune/rune-1.07-r2.ebuild?rev=1.14&view=markup
plain: 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/games-action/rune/rune-1.07-r2.ebuild?rev=1.14&content-type=text/plain
diff : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/games-action/rune/rune-1.07-r2.ebuild?r1=1.13&r2=1.14

Index: rune-1.07-r2.ebuild
===================================================================
RCS file: /var/cvsroot/gentoo-x86/games-action/rune/rune-1.07-r2.ebuild,v
retrieving revision 1.13
retrieving revision 1.14
diff -u -r1.13 -r1.14
--- rune-1.07-r2.ebuild 13 Oct 2014 10:36:57 -0000      1.13
+++ rune-1.07-r2.ebuild 1 Jun 2015 22:05:45 -0000       1.14
@@ -1,6 +1,6 @@
-# Copyright 1999-2014 Gentoo Foundation
+# Copyright 1999-2015 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/games-action/rune/rune-1.07-r2.ebuild,v 
1.13 2014/10/13 10:36:57 mgorny Exp $
+# $Header: /var/cvsroot/gentoo-x86/games-action/rune/rune-1.07-r2.ebuild,v 
1.14 2015/06/01 22:05:45 mr_bones_ Exp $
 
 EAPI=5
 inherit eutils cdrom games
@@ -16,21 +16,10 @@
 RESTRICT="strip"
 
 RDEPEND="dev-util/xdelta:0
-       || (
-               (
-                       >=media-libs/libsdl-1.2.9-r1[abi_x86_32(-)]
-                       x11-libs/libXext[abi_x86_32(-)]
-                       x11-libs/libX11[abi_x86_32(-)]
-                       virtual/opengl[abi_x86_32(-)]
-               )
-               amd64? (
-                       app-emulation/emul-linux-x86-opengl[-abi_x86_32(-)]
-                       app-emulation/emul-linux-x86-sdl[-abi_x86_32(-)]
-                       app-emulation/emul-linux-x86-xlibs[-abi_x86_32(-)]
-               )
-       )"
-
-DEPEND=""
+       >=media-libs/libsdl-1.2.9-r1[abi_x86_32(-)]
+       x11-libs/libXext[abi_x86_32(-)]
+       x11-libs/libX11[abi_x86_32(-)]
+       virtual/opengl[abi_x86_32(-)]"
 
 S=${WORKDIR}
 
@@ -44,7 +33,7 @@
        if [[ ${CDROM_SET} -eq 0 ]]
        then
                # unpack the data files
-               tar xzf "${CDROM_ROOT}"/data.tar.gz || die "Could not unpack 
data.tar.gz"
+               tar xzf "${CDROM_ROOT}"/data.tar.gz || die
        elif [[ ${CDROM_SET} -eq 1 ]]
        then
                # unpack the runelinuxfiles.tar.gz
@@ -87,8 +76,8 @@
                for x in $(find "${CDROM_ROOT}"/Textures/ -type f -printf '%f ')
                do
                        echo -ne '\271\325\036\214' | cat - 
"${CDROM_ROOT}"/Textures/$x \
-                               |sed -e '1 s/\(....\)..../\1/' > 
"${Ddir}"/Textures/$x \
-                               || die "modifying and copying $x"
+                               | sed -e '1 s/\(....\)..../\1/' > 
"${Ddir}"/Textures/$x \
+                               || die
                done
 
                doins -r "${S}"/System
@@ -110,16 +99,16 @@
 
                # modify the files
                mv "${Ddir}"/System/OpenGlDrv.int 
"${Ddir}"/System/OpenGLDrv.int \
-                       || die "Could not modify System file OpenGlDrv.int"
+                       || die
                mv "${Ddir}"/Textures/bloodFX.utx 
"${Ddir}"/Textures/BloodFX.utx \
-                       || die "Could not modify Texture file bloodFX.utx"
+                       || die
                mv "${Ddir}"/Textures/RUNESTONES.UTX 
"${Ddir}"/Textures/RUNESTONES.utx \
-                       || die "Could not modify Texture file RUNESTONES.UTX"
+                       || die
                mv "${Ddir}"/Textures/tedd.utx "${Ddir}"/Textures/Tedd.utx \
-                       || die "Could not modify Texture file tedd.utx"
+                       || die
                mv "${Ddir}"/Textures/UNDERANCIENT.utx 
"${Ddir}"/Textures/UnderAncient.utx \
-                       || die "Could not modify Texture file UNDERANCIENT.utx"
-               rm 
"${Ddir}"/System/{Setup.int,SGLDrv.int,MeTaLDrv.int,Manifest.int,D3DDrv.int,Galaxy.int,SoftDrv.int,WinDrv.int,Window.int}
 || die "Could not delete not needed System files"
+                       || die
+               rm 
"${Ddir}"/System/{Setup.int,SGLDrv.int,MeTaLDrv.int,Manifest.int,D3DDrv.int,Galaxy.int,SoftDrv.int,WinDrv.int,Window.int}
 || die
 
                # the most important things: rune and ucc :)
                doexe "${S}"/bin/x86/rune



1.23                 games-action/rune/ChangeLog

file : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/games-action/rune/ChangeLog?rev=1.23&view=markup
plain: 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/games-action/rune/ChangeLog?rev=1.23&content-type=text/plain
diff : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/games-action/rune/ChangeLog?r1=1.22&r2=1.23

Index: ChangeLog
===================================================================
RCS file: /var/cvsroot/gentoo-x86/games-action/rune/ChangeLog,v
retrieving revision 1.22
retrieving revision 1.23
diff -u -r1.22 -r1.23
--- ChangeLog   13 Oct 2014 10:36:57 -0000      1.22
+++ ChangeLog   1 Jun 2015 22:05:45 -0000       1.23
@@ -1,6 +1,9 @@
 # ChangeLog for games-action/rune
-# Copyright 1999-2014 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/games-action/rune/ChangeLog,v 1.22 
2014/10/13 10:36:57 mgorny Exp $
+# Copyright 1999-2015 Gentoo Foundation; Distributed under the GPL v2
+# $Header: /var/cvsroot/gentoo-x86/games-action/rune/ChangeLog,v 1.23 
2015/06/01 22:05:45 mr_bones_ Exp $
+
+  01 Jun 2015; Michael Sterrett <[email protected]> rune-1.07-r2.ebuild:
+  clean up app-emulation/emul-linux which has been removed
 
   13 Oct 2014; Michał Górny <[email protected]> rune-1.07-r2.ebuild:
   Support multilib providers for deps. Bump to EAPI=5.




Reply via email to